FROM nginx:alpine

# the arguments describing the title
ARG part=4
ARG title="Rocky"
ARG year=1985
ARG description="Rocky Balboa proudly holds the world heavyweight boxing championship, but a new challenger has stepped forward: Drago, a six-foot-four, 261-pound fighter who has the backing of the Soviet Union."
ARG imdb="https://www.imdb.com/title/tt0089927"

# metadata labels
LABEL maintainer="Pety <pety.barczi@gmail.com>"
LABEL title="$title"
LABEL year="$year"
LABEL description="$description"
LABEL imdb="$imdb"
LABEL part="$part"

# environment variables
ENV part=$part
ENV title=$title
ENV year=$year
ENV description=$description
ENV imdb=$imdb

RUN rm /etc/nginx/conf.d/*
ADD nginx.conf.template /etc/nginx/conf.d/nginx.conf
ADD index.html /usr/share/nginx/html/index.html

ADD images/rocky.$part.jpg usr/share/nginx/html/images/rocky.$part.jpg
ADD css/rocky.$part.css usr/share/nginx/html/css/rocky.$part.css
ADD images/favicon.png usr/share/nginx/html/images/favicon.png

RUN sed -e "s/{{TITLE}}/${title}/g" \
        -e "s/{{YEAR}}/${year}/g" \
        -e "s/{{DESCRIPTION}}/${description}/g" \
        -e "s/{{PART}}/${part}/g" \
        -e "s|{{IMDB}}|${imdb}|g" \
        -i /usr/share/nginx/html/index.html
